# Uses of Interface
org.apache.lucene.queries.spans.SpanCollector

Packages that use SpanCollector
Package
Description
org.apache.lucene.queries.spans
The calculus of spans.

- ## Uses of SpanCollector in org.apache.lucene.queries.spans

  Methods in org.apache.lucene.queries.spans with parameters of type SpanCollector
  Modifier and Type
  Method
  Description
  `void`
  FilterSpans.`collect(SpanCollector collector)`
  `void`
  NearSpansOrdered.`collect(SpanCollector collector)`
  `void`
  NearSpansUnordered.`collect(SpanCollector collector)`
  `abstract void`
  Spans.`collect(SpanCollector collector)`
  Collect postings data from the leaves of the current Spans.
  `void`
  TermSpans.`collect(SpanCollector collector)`